Subject: Re: %.o: %.c - case sensitive
From: [email-masked] (Mumit Khan)

24 Dec 1998 13:51:56 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Corinna Vinschen <[email-masked]>
Cc: [email-masked]

On Wed, 23 Dec 1998, Corinna Vinschen wrote:

> > The trouble is that make uses strcmp after the filenames are munged
> > appropriately for various platforms (eg., DOS and VMS needs the munging)
> > part. However, for win32, it's more or less left in the same state and
> > hence strcmp can't match it. I remember looking at this a while back
> > and my conclusion was that a minor tweak to make.h to change the
> > definition of "streq" for win32 to handle filenames case insensitively
> > should fix the problem. The caveat here is that I didn't look into it
> > enough to know what else might break in the process.
> 
> Wouldn't this break Sergeys coolview dll with it's mixed-case option?
> 

I really don't know much about the mixed-case option, so I can't tell for
sure, but I would guess that you're right.

Thanks for pointing this out.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".